org.eclipse.microprofile.reactive.messaging.tck.signatures.invalid

## Class IncomingReturningNonVoidCompletionStage

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.signatures.invalid.IncomingReturningNonVoidCompletionStage

    @ApplicationScoped
    public class IncomingReturningNonVoidCompletionStage
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`IncomingReturningNonVoidCompletionStage()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CompletionStage<String>` `invalid(Message<String> m)`
`org.reactivestreams.Publisher<Message<String>>` `sourceForStringPayload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IncomingReturningNonVoidCompletionStage

    public IncomingReturningNonVoidCompletionStage()

### Method Detail

#### sourceForStringPayload

    public org.reactivestreams.Publisher<Message<String>> sourceForStringPayload()

#### invalid

    public CompletionStage<String> invalid(Message<String> m)